using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Text;

namespace WpfApp
{
    public class FitnessContext : DbContext
    {
        public FitnessContext()
        {
            Database.EnsureCreated();
        }
        public DbSet<Role> Roles { get; set; }
        public DbSet<Users> Users { get; set; }
        protected override void OnConfiguring (DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlServer("Data Source = mssql; Initial Catalog = gr601_tadal; Integrated Security = true");
        }
    }
}
